package com.ggj.ggj12.models 
{
	import flash.geom.Point;
	
	/**
	 * ...
	 * @author Matt Kucic
	 */
	public class PlanetModel 
	{
		private var _position:Point;
		private var _type:uint;
		private var _level:int;
		private var _radius:Number;
		private var _evolutionLevel:Number;
		
		public function PlanetModel(avergePnt:Point) 
		{
			_position = new Point(avergePnt.x, avergePnt.y);
			_radius = 10;
			_type = Math.floor((Math.random() * 3));
		}
		
		public function setRadius(radialIncrease:Number):void 
		{
			_radius = radialIncrease;
		}
		
		public function get position():Point 
		{
			return _position;
		}
		
		public function get radius():Number 
		{
			return _radius;
		}
		
		public function get type():uint 
		{
			return _type;
		}
		
	}

}