package 
{
	import com.ggj.ggj12.CreationEvent;
	import com.ggj.ggj12.CreationManager;
	import com.ggj.ggj12.Globals;
	import com.ggj.ggj12.input.InputManager;
	import com.ggj.ggj12.UniverseController;
	import com.ggj.ggj12.view.UniverseView;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.ui.Keyboard;
	
	/**
	 * ...
	 * @author Matt Kucic
	 */
	public class Main extends Sprite 
	{
		private var _universeView:UniverseView;
		private var _universeController:UniverseController;
		private var _inputManager:InputManager;
		private var _creationManager:CreationManager;
		;
		public function Main():void 
		{
			if (stage) init();
			else addEventListener(Event.ADDED_TO_STAGE, init);
		}
		
		private function init(e:Event = null):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			// entry point
			_inputManager = new InputManager(stage);
			_universeController = new UniverseController(_inputManager);
			
			_universeView = _universeController.getUniverseView();
			addChild(_universeView);
			
			addEventListener(Event.ENTER_FRAME, onEnterFrame);
		}
		
		private function onCreation(e:CreationEvent):void 
		{
			trace("Create body: " + e.avergePnt);
		}
		
		private function onEnterFrame(e:Event):void 
		{
			//maybe add a delta in later
			if (_inputManager.activeKey == Keyboard.LEFT) {
				_universeController.advance(5,-(Math.PI/24));
			}
			else if (_inputManager.activeKey == Keyboard.RIGHT) {
				_universeController.advance(5,(Math.PI/24));
			}
			else {
				_universeController.advance(5,0);
			}
			
		}
		
		
		
	}
	
}