package com.ggj.ggj12.input 
{
	import flash.display.Stage;
	import flash.events.EventDispatcher;
	import flash.events.IEventDispatcher;
	import flash.events.KeyboardEvent;
	import flash.ui.Keyboard;
	
	/**
	 * ...
	 * @author Matt Kucic
	 */
	public class InputManager extends EventDispatcher 
	{
		private var _stage:Stage;
		private var _activeKey:uint;		

		public function InputManager(stage:Stage, target:IEventDispatcher=null) 
		{
			super(target);
			_stage = stage;
			_activeKey = 0;
			_stage.addEventListener(KeyboardEvent.KEY_DOWN, onKeyDown);
			_stage.addEventListener(KeyboardEvent.KEY_UP, onKeyUp);
			
		}
		
		private function onKeyDown(e:KeyboardEvent):void 
		{
			if (e.keyCode == Keyboard.LEFT) 
			{
				_activeKey = Keyboard.LEFT;
			}
			else if (e.keyCode == Keyboard.RIGHT)
			{
				_activeKey = Keyboard.RIGHT;
			}
			else
			{
				_activeKey = 0;
			}
		}
		
		private function onKeyUp(e:KeyboardEvent):void 
		{
			if (e.keyCode == _activeKey)
			{
				_activeKey = 0;
			}
			
		}
		
		public function get activeKey():uint 
		{
			return _activeKey;
		}
		
	}

}