package 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.Transform;
	import flash.media.Sound;
	import flash.media.SoundChannel;
	import flash.media.SoundTransform;
	import flash.net.URLRequest;
	
	/**
	 * ...
	 * @author Matt Kucic
	 */
	public class Main extends Sprite 
	{
		private var _awesomeSnake:Snake;
		private var _snd:Sound;
		private var _channel:SoundChannel;
		
		public function Main():void 
		{
			if (stage) init();
			else addEventListener(Event.ADDED_TO_STAGE, init);
		}
		
		private function init(e:Event = null):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			// entry point
			_awesomeSnake = new Snake(12);
			addChild(_awesomeSnake);
			_awesomeSnake.x = 400;
			_awesomeSnake.y = 300;
			_awesomeSnake.velocity = 10;
			
			_snd = new Sound();
			_snd.load(new URLRequest("../../../../assets/audio/metal-1.mp3"));
			_channel = _snd.play(0, int.MAX_VALUE);
			addEventListener(Event.ENTER_FRAME, onEnterFrame);
		}
		
		private function onEnterFrame(e:Event):void 
		{
			var vol:Number = mouseY / 500;
			var pan:Number = (mouseX - 250) / 250;
			trace(pan);
			_channel.soundTransform = new SoundTransform(vol, pan);
			_awesomeSnake.theta += Math.PI / 16;
			_awesomeSnake.update();
		}
		
	}
	
}