package 
{
	import flash.display.Sprite;
	import flash.geom.Point;
	
	/**
	 * ...
	 * @author Matt Kucic
	 */
	public class Snake
	{
		private var _segments:Array;
		private var _snake:Sprite;
		private var _theta:Number;
		
		public function Snake(segmentAmount:uint)
		{
			_segments = new Array();
			_theta = 0;
			for (var i:int = 0; i < segmentAmount; i++)
			{
				_segments[i] = new Point(0, 0);
				
			}
		}
		
		public function reposition(velocity:Number = 0, theta:Number = 0):void
		{
			
			for (var i:int = 1; i < _segments.length; i++)
			{
				Point(_segements[i]) = Point(_segments[i - 1]);
				
			}
			Point(_segments[0]).x += velocity * Math.cos(theta);
			Point(_segments[0]).y += velocity * Math.sin(theta);
			draw();
		}
		
		private function draw():void 
		{
			if (_snake != null) {
				removeChild(_snake);				
				_snake = new Sprite();
				_snake.graphics.lineStyle(1, 0x00000);
				_snake.graphics.moveTo(Point(_segments[0]).x, Point(_segments[0]).y);
			}
			
			for (var i:int = 1; i < _segments.length; i++)
			{
				_snake.graphics.lineTo(Point(_segments[i]).x, Point(_segments[i]).y);
			}
			
		}
		
		public function get theta():Number 
		{
			return _theta;
		}
		
		public function set theta(value:Number):void 
		{
			_theta = value;
		}
		
		
	}
	
}